Bug 1306899 - internal compiler error: in assemble_integer, at varasm.c:2733
internal compiler error: in assemble_integer, at varasm.c:2733
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-12 00:52 EST by Honza Horak
Modified: 2016-02-27 03:50 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-27 03:50:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Honza Horak 2016-02-12 00:52:08 EST
Description of problem:
When trying to build community-mysql-5.7.11 in rawhide, i386 build (only) fails with:
/builddir/build/BUILD/mysql-5.7.11/client/mysql_ssl_rsa_setup.cc:682:1: internal compiler error: in assemble_integer, at varasm.c:2733

https://kojipkgs.fedoraproject.org//work/tasks/7064/12947064/build.log

Version-Release number of selected component (if applicable):
gcc-6.0.0-0.10.fc24
gcc-c++-6.0.0-0.10.fc24
gcc-gdb-plugin-6.0.0-0.10.fc24

How reproducible:
every-time, same in local mock

Steps to Reproduce:
1. build community-mysql-5.7.11 that is now in rawhide on i386

Actual results:
/builddir/build/BUILD/mysql-5.7.11/client/mysql_ssl_rsa_setup.cc:682:1: internal compiler error: in assemble_integer, at varasm.c:2733

Expected results:
builds fine

Additional info:
Comment 1 Marek Polacek 2016-02-12 04:57:04 EST
I've been able to reproduce this in mock with rawhide gcc, but not with recent trunk gcc.  I'm bisecting which commit fixed this ICE.
Comment 2 Marek Polacek 2016-02-12 05:25:28 EST
Fixed by r233216.  This fix will be included in the next GCC build.
Comment 3 Marek Polacek 2016-02-12 08:16:36 EST
Reduced testcase that I'm going to add to our upstream testsuite:

struct S {
  long long l;
} s {(long long) &s};
Comment 4 Jan Kurik 2016-02-24 09:30:28 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Jakub Jelinek 2016-02-27 03:50:00 EST
Should be fixed in gcc-6.0.0-0.12.fc24.

Note You need to log in before you can comment on or make changes to this bug.